table.insert( actions,	
{
		id          = "INNER_FIRE",
		name 		= "Infernal Combustion",
		description = "Causes projectiles to fill enemies with magical fire, exploding after a short delay",
		sprite 		= "mods/spell_pyro/files/innerfire/sprites/inner_fire.png",
		type 		= ACTION_TYPE_MODIFIER,
		spawn_level                       = "1,2,3,4,5",
		spawn_probability                 = "1,1,1,1,1",
		price = 230,
		mana = 30,
		--max_uses = 20,
		action 		= function()
			c.extra_entities = c.extra_entities .. "mods/spell_pyro/files/innerfire/projectiles/hitfx_inner_fire.xml,data/entities/particles/tinyspark_red.xml,"
			c.fire_rate_wait = c.fire_rate_wait + 12
			draw_actions( 1, true )
		end,
	})	
	
table.insert( actions,	
		{
		id          = "FIREBOLT",
		name 		= "Liquid Fire",
		description = "A fast moving ball of liquid fire with a high critical chance against burning foes",
		sprite 		= "mods/spell_pyro/files/firebolt/sprites/firebolt.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "0,1,2,3,4,6",
		spawn_probability                 = "1,1,1,1,1,1",
		price = 220,
		mana = 40,
		--max_uses = 15,
		custom_xml_file = "data/entities/misc/custom_cards/fireball.xml",
		action 		= function()
			add_projectile("mods/spell_pyro/files/firebolt/projectiles/firebolt.xml")
			--c.spread_degrees = c.spread_degrees + 2.0
			c.fire_rate_wait = c.fire_rate_wait + 30
			shot_effects.recoil_knockback = shot_effects.recoil_knockback + 20.0
		end,
	})
	
table.insert( actions,	
		{
		id          = "FIRESTORM",
		name 		= "Firestorm",
		description = "Call forth a violent tempest of fire",
		sprite 		= "mods/spell_pyro/files/firestorm/sprites/firestorm.png",
		type 		= ACTION_TYPE_PROJECTILE,
		spawn_level                       = "2,3,4,5,6",
		spawn_probability                 = "1,1,1,1,1",
		price = 300,
		mana = 240, 
		--max_uses    = 3, 
		action 		= function()
			add_projectile("mods/spell_pyro/files/firestorm/projectiles/firestorm.xml")
			c.fire_rate_wait = c.fire_rate_wait + 160
		end,
	})
